UserGroupInformation.HadoopLoginModule (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security
Class UserGroupInformation.HadoopLoginModule

    java.lang.Object
      org.apache.hadoop.security.UserGroupInformation.HadoopLoginModule

All Implemented Interfaces:
  LoginModule

Enclosing class:
  UserGroupInformation

    public static class UserGroupInformation.HadoopLoginModule

extends Object
implements LoginModule

A login module that looks at the Kerberos, Unix, or Windows principal and adds the corresponding UserName.

Constructor Summary
`UserGroupInformation.HadoopLoginModule()`

Method Summary
`boolean` | `abort()`
`boolean` | `commit()`
`void` | `initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)`
`boolean` | `login()`
`boolean` | `logout()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGroupInformation.HadoopLoginModule

    public UserGroupInformation.HadoopLoginModule()

Method Detail

### abort

    public boolean abort()
                  throws LoginException

  Specified by:
    `abort` in interface `LoginModule`
  Throws:
    `LoginException`

### commit

    public boolean commit()
                   throws LoginException

  Specified by:
    `commit` in interface `LoginModule`
  Throws:
    `LoginException`

### initialize

    public void initialize(Subject subject,
                           CallbackHandler callbackHandler,
                           Map<String,?> sharedState,
                           Map<String,?> options)

  Specified by:
    `initialize` in interface `LoginModule`

### login

    public boolean login()
                  throws LoginException

  Specified by:
    `login` in interface `LoginModule`
  Throws:
    `LoginException`

### logout

    public boolean logout()
                   throws LoginException

  Specified by:
    `logout` in interface `LoginModule`
  Throws:
    `LoginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation